Automic Workload Automation

Expand all | Collapse all

Need to know my current Unix Agent version

  • 1.  Need to know my current Unix Agent version

    Posted 6 days ago
    We hit a bug where file transfer between one UNIX & WIN agents gets stuck as 'connecting' state. Vendor accepted this is a bug & is fixed through following :

    Fixed Versions:

    Automation.Engine 12.3.0

    Automation.Engine 12.1.5

    Automation.Engine 12.2.3

    Automation.Engine 12.2.2 HF3

    Our Agent versions are
    ( UNIX )     - 12.2.2+build.1549050301200
    ( WINDOWS )  - 12.2.3+build.1558154957665

    Now I wanted to know is 12.2.2+build.1549050301200 pointing to 12.2.2 HF3 ?

    I referred the following wiki but I am not able to conclude.

    https://downloads.automic.com/downloads/component_downloads?selected_tab=&lifecycle_entity_id=1409143059253&component_id=1409143059262&major_version_id=1570601283468%2C1548836251779%2C1569478501890%2C1562666048239%2C1559736669895%2C1540809272555&search=&no-default-values=on&show-files=on&show-patch-descriptions=on



    ------------------------------
    Regards,
    Prosenjit
    ------------------------------


  • 2.  RE: Need to know my current Unix Agent version

    Posted 6 days ago
    Edited by Tim Quakulinsky 6 days ago
    Hi Prosenjit,

    I also miss a table matrix, which build number belongs to which service pack/hotfix. The support in Vienna used to have an appropriate internal Excel table. I don't know if this table is now maintained by employees at a different location.

    But I have an awkward idea: If you download the Automation Engine image (important: you have to go via Component Downloads!), you will find a file versions.csv in it. This file contains the individual Automic components, e.g. AE and agents, with the respective build numbers.

    Kind regards,
    Tim

    ------------------------------
    Automation Evangelist
    Fiducia & GAD IT AG
    ---
    Mitglied des deutschsprachigen Automic-Anwendervereins FOKUS e.V.
    Member of the German speaking Automic user association FOKUS e.V.
    ------------------------------



  • 3.  RE: Need to know my current Unix Agent version

    Posted 5 days ago
    Alas even versions.csv doesn't contain the build number(at least the agent package i looked at).
    It only had the numeric version and HF number, eg Agent Unix;12.2.3 or AutomationEngine;12.2.3+hf.3.

    Ideally it would say something like - 12.2.2+build.1549050301200(HF3) etc.

    Sigh.



  • 4.  RE: Need to know my current Unix Agent version

    Posted 6 days ago
    ​Hi,

    we have hit that bug for quite some time, too. And I can confirm (from the looks of it, statistically, at least) that it is fixed in 12.3.0

    HOWEVER 12.3 .0 has a new, exciting bug. It does not parse sections of the ini file properly. Especially if your agent is behind a NAT (network address translation) boundary, do NOT use 12.3.0!

    Use 12.3.1 instead.

    Hth,
    Carsten


  • 5.  RE: Need to know my current Unix Agent version

    Posted 5 days ago
    Edited by Pete Wirfs 5 days ago
    We recently upgraded our AE to 12.3.0, and during testing, decided to downgrade our single unix agent to 12.2.3 because it has fewer issues.  We don't have any problems with it that we know of. (12.3.1 wasn't available at the time)

    ------------------------------
    Pete
    ------------------------------



  • 6.  RE: Need to know my current Unix Agent version

    Posted 2 days ago
    ​Intrerresting.

    We couldn't use 12.2.3. because like all of the 12.x line up to that point, it would among other things get stuck in "connecting" during JOBFs under heavy load. So if you ever get that, go to 12.3.1. If you don't get it, the better.